import { Collapsible as e, CollapsibleContent as t, CollapsibleTrigger as n } from "../../../components/ui/collapsible.js";
import "react";
import { jsx as r, jsxs as i } from "react/jsx-runtime";
import { ChevronDown as a } from "lucide-react";
//#region src/features/documents/renderers/DocumentDebugRenderer.tsx
var o = ({ document: o }) => /* @__PURE__ */ r("div", {
	className: "mx-3 mb-2 flex justify-end",
	children: /* @__PURE__ */ i(e, {
		className: "rounded-lg border-0 bg-gray-100 shadow-none",
		children: [/* @__PURE__ */ i(n, {
			className: "flex w-full items-center justify-between p-4 text-left",
			children: [/* @__PURE__ */ r("span", {
				className: "text-gray-500",
				children: "Debug Info"
			}), /* @__PURE__ */ r(a, { className: "h-4 w-4 text-gray-400" })]
		}), /* @__PURE__ */ r(t, {
			className: "px-4 pb-4",
			children: /* @__PURE__ */ r("div", {
				className: "max-w-full overflow-scroll",
				children: /* @__PURE__ */ r("pre", { children: o.content })
			})
		})]
	})
});
//#endregion
export { o as default };
